﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@model Toyota.Common.Web.MVC.ModelHolder
@using (Html.BeginForm("PartialLPOPConfirmation", "Part", FormMethod.Post, new { enctype = "multipart/form-data" }))
{


    <table border="0" cellpadding="2" cellspacing="2">
        <tr>
            <td style="width: 100px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Code";
                }).GetHtml()
            </td>
            <td style="width: 200px" colspan="2">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHSupplierOption";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "SupplierCode";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "Part", Action = "PartialHeaderSupplierGridLookupPart" };//"PartialHeaderSupplierLookupGridSupplierInfo" };

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SupplierCode";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SupplierName";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GridSupplier"]).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="width: 100px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Part No";
                }).GetHtml()
            </td>
            <td style="width: 200px" colspan="2">
                @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIHPartOption";
                    gridLookup.Width = 150;
                    gridLookup.GridProperties.KeyFieldName = "PART_NO";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "Part", Action = "PartialHeaderPartLookupGridPart" };

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PART_NO";
                        column.FieldName = "PART_NO";
                        column.Caption = "Part<br />No";
                        column.Width = Unit.Pixel(150);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PART_NAME";
                        column.FieldName = "PART_NAME";
                        column.Caption = "Part<br />Name";
                        column.Width = Unit.Pixel(500);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GridPart"]).GetHtml()
            </td>
        </tr>
    </table>
    
}
<table cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td align="left">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnAdd";
                    button.Text = "New";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "AddPart";
                }
            ).GetHtml()
           @* @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnDelete";
                    button.Text = "Delete";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "DeleteGrid";
                }
            ).GetHtml()*@
        </td>
        <td align="right">
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearch";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }
            ).GetHtml()
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnClear";
                    button.Text = "Clear";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "ClearItem";
                }
            ).GetHtml()
        </td>
    </tr>
</table>
